-- REGISTRO DA PLANTA : --------------------------------------------------
farming.register_plant("btmt:sunflower", {
	description = "Sunflower",
	harvest_description = "Sunflower Petal",
	paramtype = "light",
	paramtype2 = "plantlike",  
	inventory_image = "sunflower_seed.png",
	steps = 4, 
	minlight = 13,
	maxlight = default.LIGHT_MAX,
	fertility = {"grassland"},
	groups = {flammable = 4,not_in_creative_inventory = 1},
	place_param2 = 3,
	drop = "btmt:seed_sunflower",
		
})

core.override_item("btmt:sunflower_4", {
        visual_scale = 2, 
	drop = "btmt:sunflower_4",		
})

--[[
core.register_craft({
    type = "shapeless",
    output = "btmt:seed_sunflower 2",
    recipe = {
        "btmt:sunflower_4",
    },
})
]]

core.register_craft({
    type = "shapeless",
    output = "btmt:seed_sunflower 2",
    recipe = {
        "btmt:sunflower_4",
    },
})


core.register_decoration({
	name = "btmt:sunflower_4_dec",
	deco_type = "simple",
	place_on = {"default:dirt_with_grass"},
	sidelen = 16,
	fill_ratio = 0.005,	
	biomes = {"deciduous_forest","grassland"},	
	y_min = 1,
	y_max = 31000,
	decoration = "btmt:sunflower_4",
})


if core.get_modpath("flowerpot") then
	flowerpot.register_node("btmt:sunflower_4")
end
